Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001451Dwarf FortressDwarf Mode -- Militarypublic2010-04-23 02:372014-11-27 06:18
ReporterBlah 
Assigned ToDwarfu 
PrioritynormalSeverityminorReproducibilityalways
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Version0.31.03 
Target VersionFixed in Version 
Summary0001451: Military equipment interferes with civilian equipment (picks/axes/crossbows/quivers)
Description1) A woodcutter can't use the same axe for woodcutting and military. When he is given a kill/station command, he will deposit his current axe and pick up some other weapon, completely ignoring the axe he deposited into a weapon stockpile. If there is no other suitable weapon he'll fight unarmed.

2) Possibly related to the above: if the woodcutter is holding an axe, the same axe won't show up in _his_ "assign specific weapon" list.
Steps To ReproduceEmbark with 2 axes (of different material to make things easier)
Assign woodcutting labor to a dwarf to get him to pick up 1 axe.
Make a weapon stockpile to hold the other axe.
Put the woodcutter into a squad and tell him to use axes in the equipment screen.
Forbid the axe in the weapon stockpile.
Give the woodcutter's squad a station command.
Observe the behaviour described earlier.

Cancel the station command, reclaim the previously forbidden axe, and give another station command.
This time the woodcutter will swap axes.


Additional InformationThis will probably also occur with hunters.

One time after repeated testing in the same embark, this bug stopped occuring. It could be that this can only occur early in the game for some reason.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000535acknowledgedToady One Equipping weapons/armor on military is erratic 
parent of 0002143acknowledgedDwarfu woodcutter drops complete assigned equipment if being undrafted 
parent of 0002127new Picks stored in stock pile will not be equipped by those with mining job enable and mining area designated. 
parent of 0004062resolvedFootkerchief Hunters who are also in the military don't train or pick up equipment 
parent of 0004236new Miner-Military will not discard old picks; 'cannot follow orders' 
parent of 0002959new Equipment picked up to perform a job does not show on military screen. 
has duplicate 0001478closedFootkerchief Dwarves drop proper weapon 
has duplicate 0000523resolvedFootkerchief Dwarf drops sword in order to pick up another 
has duplicate 0001693resolvedFootkerchief Farmer really likes his pick 
has duplicate 0002906resolvedFootkerchief Wood Cutters Behaving Oddly 
related to 0000737resolvedToady One Migrant hunters (with hunting labor enabled) haul their quiver to a stockpile and then pick up another one 
related to 0000680new Picks are listed as (foreign) in the military equipment screens 
related to 0000110resolvedToady One Migrant hunters/miners/woodcutters can arrive with labors disabled, causing them to drop equipment 
related to 0000340new Dwarf repeatedly try to store job-based weapons in burrow-forbidden stockpiles 
related to 0000712new Woodcutters cut trees with training axes 
related to 0001016new Captain of the guard performs beating with combat weapon. 
related to 0005300new "No weapon for execution" when Hammerer is in military squad 
related to 0008345assignedFootkerchief hunters in the military stuck in equipment loop 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0004699)
Areyar (reporter)
2010-04-23 05:25

What I think is happening:
military positions are selecting equipment randomly from stocks.

n.b.
embark with axes, lumberjacks. civilian woodcutters will take a (random) axe.
put woodsdwarves in axemen squad.
squad positions select again random (rather than closest to dwarf in positionX) axe.
activate squad. dwarf holds holds weapon claimed by other: drop axe. dwarf wants axe held by other dwarf: get axe.

If this is true, then this should work around the issue.
remove the woodcutter job from all dwarves, let dwarves drop and store axes.
assign axemen to squad, activate squad, let them collect equipment.
reactivate woodcutter job on conscripted axemen.
set squad to inactive alert.
civilians should now equip nearest axe (if lumberjack is first job in list)
The military incarnation's axe is fixed. Problems arise again if mil>civ drops axe.
(0004730)
Blah (reporter)
2010-04-23 10:17

>> What I think is happening:
>> military positions are selecting equipment randomly from stocks.

This isn't random. I tested it about 10 times on different embarks while trying to understand what the root of the problem was. He always dropped his current axe (except at one point in one embark from which things started workign correctly for some inexplicable reason. It always worked correctly after that in that embark, but kept reoccuring in the next embarks)
(0005340)
Areyar (reporter)
2010-04-27 08:10

so... the dwarf swaps axe every time he/she switches from military to civilian status?
(0006728)
Inspiration (reporter)
2010-05-15 10:09

Depends. When I was killing off a deer that had wandered into my fort, Urist McWoodcutter made short work of him with his axe. Then, a bear wanders by, and I try to preemptively kill him, and Urist McWoodcutter proceeds to drop his freaking axe and try to wrestle the bear.

"Urist McWoodcutter has bled to death"
(0008751)
vasiln (reporter)
2010-06-20 02:30

This also happens with miners who have been assigned picks.
(0011450)
Footkerchief (manager)
2010-08-03 10:25

Briggs uploaded this save for 0002906: http://dffd.wimbli.com/file.php?id=2888 [^]
(0012633)
Hieronymous Alloy (reporter)
2010-09-14 09:37

I've had a problem that I believe is connected to this. I've noticed that I'll sometimes get military dwarves -- soldier icon, "axedwarf" or whatever profession name -- idling in my meeting area, holding only an axe.

Once I read this bug I realized what was going on, turned off all my Woodcutting labors with dwarf therapist, and they all dropped their axes, got their gear, and started training.
(0019494)
icecon (reporter)
2012-02-14 01:46

I had the same problem as Briggs:

On embark I had 3 pesky gorlaks interrupting my dig orders so I dispatched my Axedwarf/Woodcutter to clear them. He did so handily, but after the job was done he didn't pick up his axe from the ground - he seems to have dropped it in the fight - and wouldn't get to work chopping trees. (The save file is at this moment) I tried reassigning woodcutting to another dwarf as well as rotating the military commander, etc.. The axe isn't necessarily stuck as dwarves will move it to a weapon stockpile, as well as equip it thereafter. Still, they refused to chop wood after I enabled woodcutting which left my dwarves without beds :(.

Here's the save: http://dffd.wimbli.com/file.php?id=5480 [^]
(0020577)
isitanos (reporter)
2012-02-23 17:47

I struggled with this problem with a woodcutter for a while before I gave up and removed him from the military. However, he wouldn't let go of his wooden training axe and kept using it to chop trees down. Not even sure how that worked, but the resulting slowness in cutting tress was a huge problem for my small fortress' beginning economy.
(0021801)
thvaz (reporter)
2012-03-27 15:54

This bug is related (or even a duplicate) of bug 2959.
(0022812)
Rafal99 (reporter)
2012-06-02 10:49
edited on: 2012-06-02 10:51

This bug also causes Miners/Woodcutters/Hunters to refuse to wear their military armor when civilian.
It seems the game creates a separate "uniform" for their civilian tasks, which means they won't use any of the items assigned to their military uniform, such as the axes or armor.

(0022906)
Kogut (reporter)
2012-06-08 04:48
edited on: 2012-06-08 05:42

34.11 save with miner and woodcutter that claimed armour and refuse to wear it (embark with armour, miner and woodcutter, create squad to replicate): http://dffd.wimbli.com/file.php?id=6450 [^]

(0022908)
Knight Otu (manager)
2012-06-08 05:44

Thanks, Kogut. I've changed the link in your note to point directly to the file, rather than the submit redirect, just in case.
(0022956)
Katie (reporter)
2012-06-11 06:01

Not sure if its been mentioned, but in 34.11 it seems military wont wear a piece of armor as long as they have something else covering that part.
My dwarves refused to wear steel boots and gloves because they had nice little cloth and leather boots and gloves.
(0023578)
MightyRavenDark (reporter)
2012-09-16 00:44

This is not the case for me (dwarves refuse to wear helmets, boots, gauntlets when assigned) as I tried using the 'Replace Clothing' designation and they merely removed their clothing and continued to ignore non-forbidden gear that was sitting in a bin. I feel as though there is something wrong with bins in 34.11 that is causing dwarves to ignore certain items. As far as I know they don't want to bother with gauntlets, boots, and helmets but usually equip everything else, here is my save: http://dffd.wimbli.com/file.php?id=6925 [^]
(0023740)
hermes (reporter)
2012-11-21 16:07

I just had this bug on a new embark... created squad to kill dingoes, when kill order was complete two dorfs dropped their axes where they stood (pretty strange in itself) and subsequent chop tree designations were not fulfilled.

Dorf with woodcutting enabled walked over to the axe and just stood next to it. When squad was disbanded he picked it up and went to work. Can upload save if needed.
(0025604)
Rafal99 (reporter)
2014-07-10 14:55

I confirm this still happens in 40.01.
Miner who was put in military and assigned armor, won't wear the armor while not in duty, despite his squad being set to "Uniformed when civilian".
As soon as I deactivate the squad the miner rushes to store all his armor in stockpile and get his pick back.
So the civilian equipment (in this case pick) still prevents a dwarf from wearing military uniform at the same time.
(0029628)
chaosvolt (reporter)
2014-08-25 20:41

Observed pretty much since I've started playing DF. And furthermore, every time I conscript hunters as markdwarves (or crossbowmen, or bowelves, whatever the modding mood of the day is) will result in their dropping the armament they migrated with to pick up new equipment.
(0031198)
Infinite Monkeys (reporter)
2014-11-27 06:18

This is a pretty big problem in the early game - it's logical to make your woodcutters, hunters and maybe even miners also serve as your military, but this is currently extremely awkward. The squad has to be created and the weapon manually added when there is a threat, then the weapon unassigned from the dwarf and the dwarf removed from the squad so that they will use that weapon for their job. Even removing the dwarf from the squad alone doesn't work, you have to actually unassign the weapon from them in the equipment menu or they'll ignore it.

- Issue History
Date Modified Username Field Change
2010-04-23 02:37 Blah New Issue
2010-04-23 05:25 Areyar Note Added: 0004699
2010-04-23 10:05 Footkerchief Relationship added child of 0000535
2010-04-23 10:17 Blah Note Added: 0004730
2010-04-23 21:06 Footkerchief Relationship added has duplicate 0001478
2010-04-27 06:16 Abalieno Issue Monitored: Abalieno
2010-04-27 08:10 Areyar Note Added: 0005340
2010-05-15 10:09 Inspiration Note Added: 0006728
2010-06-20 02:30 vasiln Note Added: 0008751
2010-06-30 13:45 Footkerchief Relationship added has duplicate 0000523
2010-07-16 09:09 Footkerchief Relationship added has duplicate 0001693
2010-07-16 09:09 Footkerchief Issue Monitored: Footkerchief
2010-07-24 21:48 Khym Chanur Issue Monitored: Khym Chanur
2010-07-25 15:06 Sfon Issue Monitored: Sfon
2010-08-03 10:24 Footkerchief Relationship added has duplicate 0002906
2010-08-03 10:24 Footkerchief Issue Monitored: Briggs
2010-08-03 10:25 Footkerchief Note Added: 0011450
2010-09-09 07:25 Sfon Issue End Monitor: Sfon
2010-09-14 09:37 Hieronymous Alloy Note Added: 0012633
2010-09-14 09:37 Hieronymous Alloy Issue Monitored: Hieronymous Alloy
2010-10-21 07:23 Another Issue Monitored: Another
2011-02-28 21:06 Footkerchief Relationship added related to 0000737
2011-02-28 21:39 Footkerchief Summary woodcutter can't use his axe for military; needs a different weapon => Military equipment interferes with civilian equipment (picks/axes/crossbows/quivers)
2011-02-28 21:39 Footkerchief Relationship added related to 0000353
2011-02-28 21:39 Footkerchief Relationship deleted related to 0000353
2011-02-28 21:39 Footkerchief Relationship replaced related to 0000535
2011-02-28 21:39 Footkerchief Relationship added parent of 0002143
2011-02-28 21:40 Footkerchief Relationship added parent of 0002127
2011-02-28 21:40 Footkerchief Relationship added related to 0000680
2011-02-28 21:41 Footkerchief Relationship added related to 0003733
2011-02-28 21:41 Footkerchief Relationship replaced parent of 0003733
2011-02-28 21:41 Footkerchief Relationship added parent of 0004062
2011-02-28 21:42 Footkerchief Relationship added related to 0000110
2011-02-28 21:43 Footkerchief Relationship added related to 0000340
2011-02-28 21:43 Footkerchief Relationship added related to 0000712
2011-02-28 21:45 Footkerchief Relationship deleted parent of 0003733
2011-02-28 22:05 Footkerchief Sticky Issue No => Yes
2011-03-06 03:02 Conti Issue Monitored: Conti
2011-03-16 06:23 Footkerchief Relationship added parent of 0004236
2011-03-21 02:12 Naros Issue Monitored: Naros
2011-08-26 01:58 zwei Issue Monitored: zwei
2011-09-01 05:52 Alien Note Added: 0018664
2011-09-01 08:34 Alien Issue Monitored: Alien
2011-10-09 04:07 Alien Note Deleted: 0018664
2012-02-14 01:46 icecon Note Added: 0019494
2012-02-23 17:47 isitanos Note Added: 0020577
2012-02-23 17:48 isitanos Issue Monitored: isitanos
2012-02-23 20:30 Rafal99 Issue Monitored: Rafal99
2012-02-26 11:51 Buglist Issue Monitored: Buglist
2012-03-05 09:05 Footkerchief Relationship added related to 0005300
2012-03-05 09:05 Footkerchief Relationship added related to 0001016
2012-03-05 09:05 Footkerchief Relationship deleted related to 0005300
2012-03-27 15:54 thvaz Note Added: 0021801
2012-03-27 19:46 Footkerchief Relationship added parent of 0002959
2012-06-02 10:49 Rafal99 Note Added: 0022812
2012-06-02 10:51 Rafal99 Note Edited: 0022812 View Revisions
2012-06-08 04:33 Kogut Note Added: 0022905
2012-06-08 04:44 Kogut Note Deleted: 0022905
2012-06-08 04:48 Kogut Note Added: 0022906
2012-06-08 05:00 Kogut Note Edited: 0022906 View Revisions
2012-06-08 05:42 Knight Otu Note Edited: 0022906 View Revisions
2012-06-08 05:44 Knight Otu Note Added: 0022908
2012-06-11 06:01 Katie Note Added: 0022956
2012-08-11 07:00 lcf Issue Monitored: lcf
2012-09-16 00:44 MightyRavenDark Note Added: 0023578
2012-11-21 16:07 hermes Note Added: 0023740
2013-09-23 09:53 Footkerchief Relationship added related to 0005300
2013-12-07 04:56 Thundercraft Issue Monitored: Thundercraft
2014-07-10 14:55 Rafal99 Note Added: 0025604
2014-07-26 06:46 Dwarfu Relationship added has duplicate 0007640
2014-07-26 06:47 Dwarfu Note Added: 0027590
2014-07-26 07:29 Dwarfu Relationship deleted has duplicate 0007640
2014-07-26 07:30 Dwarfu Note Deleted: 0027590
2014-07-26 07:32 Dwarfu Assigned To => Dwarfu
2014-07-26 07:32 Dwarfu Status new => acknowledged
2014-07-29 09:06 Kanddak Issue Monitored: Kanddak
2014-07-30 04:15 Kirkegaard Issue Monitored: Kirkegaard
2014-08-09 10:48 Dwarfu Status acknowledged => confirmed
2014-08-25 20:41 chaosvolt Note Added: 0029628
2014-09-25 09:07 Footkerchief Relationship added related to 0008345
2014-11-27 06:18 Infinite Monkeys Note Added: 0031198


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker